%define pversion 1
%define bversion 6

Name:           interworx-php-fpm
Version:        %{pversion}
Release:        %{bversion}
Summary:        Configuration files for InterWorx PHP SCL

Group:          System Environment/Daemons
License:        GPLv2

# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://interworx.com
#Source0:        interworx-php-user.repo

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >= 6
Requires:      interworx >= 5.1.42
Requires:      mod_fastcgi
Requires:      remi-release
Requires:      epel-release

%description
This package contains the repository configuration for InterWorx PHP SCL.

%prep
%setup -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
#install -Dpm 644 %{SOURCE0} \
#    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6

# yum
#install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
#install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# InterWorx flag
install -dm 711 $RPM_BUILD_ROOT/home/interworx/etc/env
touch $RPM_BUILD_ROOT/home/interworx/etc/env/php-fpm-scl-installed

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%config(noreplace) /etc/yum.repos.d/*
%attr(0600, iworx, iworx) /home/interworx/etc/env/php-fpm-scl-installed
#/etc/pki/rpm-gpg/*

%changelog
* Wed Mar 8 2017 Tim College <tcollege@interworx.com>
- Updated required packages
- Removed repo file (sources will live in regular repos)

* Wed Dec 7 2016 Tim College <tcollege@interworx.com>
- Initial Package
